Package: org.grails.cli.profile.commands.factory

## [Groovy] Class ApplicationContextCommandFactory

- org.grails.cli.profile.commands.factory.ApplicationContextCommandFactory

- All Implemented Interfaces and Traits:
    CommandFactory

      class ApplicationContextCommandFactory
      extends java.lang.Object
      implements CommandFactory

  Automatically populates ApplicationContext command instances and adapts the interface to the shell

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ApplicationContextCommandFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Collection<Command>` | `findCommands(Profile profile, boolean inherited)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ApplicationContextCommandFactory()

  - ### Method Detail

    - #### @java.lang.Override java.util.Collection<Command> findCommands(Profile profile, boolean inherited)